#include <iostream>
#include <string>
#include <vector>
#include <cstdio>


using namespace std;

int main()
{
    long long int t,n,k,m,i;
    cin>>t;
    int megoldas[t];
    for(int q=0;q<t;q++){
        cin>>n>>m>>k;
        long long int s1=0,s2,y,z,s=0;
        y=n/k;
        for(i=1;i<=y;i++){
            s1=s1+i;
        }
        s2=s1+y+1;
        z=n-k*y;
        for(i=0;i<z;i++){
            s=s+s2;
        }
        for(i=0;i<k-z;i++){
            s=s+s1;
        }
        if(s>m)
            megoldas[q]=0;
        else
            megoldas[q]=1;
    }
    for(i=0;i<t;i++){
        if(megoldas[i]==1)
            cout<<"Tak"<<"\n";
        else
            cout<<"Nie"<<"\n";
    }
}